API Explorer 936 endpoints

Update User Attribute

PUT /obp/v7.0.0/users/USER_ID/attributes/USER_ATTRIBUTE_ID

OBPv6.0.0-updateUserAttribute Roles: CanUpdateUserAttribute UserUser-AttributeAttribute

Update a User Attribute by USER_ATTRIBUTE_ID for the user specified by USER_ID.

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

URL Parameters:

USER_ATTRIBUTE_ID: 7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh

USER_ID: 9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1

JSON response body fields (6)
insert_date
2020-01-27
is_personal
is_personal
name
ACCOUNT_MANAGEMENT_FEE
type
user_attribute_id
7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh
value
5987953
Example request body
{
  "name": "account_type",
  "type": "STRING",
  "value": "enterprise"
}
Example success response
{
  "user_attribute_id": "7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh",
  "name": "BATTERY_LEVEL",
  "type": "STRING",
  "value": "90",
  "is_personal": false,
  "insert_date": "2026-10-21T01:45:41Z"
}
Possible errors (6)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-20006: User is missing one or more roles:
  • OBP-20057: User not found by userId.
  • OBP-20081: User Attribute not found by USER_ATTRIBUTE_ID.
  • OBP-10001: Incorrect json format.
  • OBP-50000: Unknown Error.
Implemented by OBPv6.0.0 updateUserAttribute Originally /obp/v6.0.0/users/USER_ID/attributes/USER_ATTRIBUTE_ID